//! examples/spawn.rs

#![no_main]
#![no_std]
#![deny(warnings)]
#![deny(unsafe_code)]
#![deny(missing_docs)]

use panic_halt as _;

#[rtic::app(device = tm4c123x_hal::tm4c123x, dispatchers = [SSI0])]
mod app {
    #[shared]
    struct Shared {}

    #[local]
    struct Local {}

    #[init]
    fn init(_: init::Context) -> (Shared, Local) {

        foo::spawn().unwrap();
        (Shared {}, Local {})
    }

    #[task]
    async fn foo(_: foo::Context) {
    }
}
